Subject: Re: bug#52359: [PATCH] gnu: python2-bottle: Remove package.

From: jgart <[email-masked]>
Date: Sun, 19 Dec 2021 17:58:16 -0500

On Sun, 19 Dec 2021 23:25:06 +0100 Ludovic Courtès <[email-masked]> wrote:
> Hi,
> 
> jgart <[email-masked]> skribis:
> 
> > * gnu/packages/python-web.scm (python2-bottle): Delete variable.
> 
> Apparently it still has users so we can’t remove it yet:

Hi Ludo,

Thanks for the review!

The best way to check is with `guix refresh --list-dependent python2-bottle`?

Or, you're referring to the fact that there are still users using the
python2 version of bottle itself?

Also, when upgrading a package, what is your workflow for testing and making 
sure you don't break a dependent package?

Do you also build all packages listed in the output of 
`guix refresh --list-dependent package-name` before sending a patch?

My experience with this issue is when I updated python-jedi recently. 
I sent the patch.  It got accepted. (Un)relatedly, I tried installing
bpython a day later and bpython was broken. My first guess is that the
upgrade of python-jedi broke the current version of bpython in master. I
wasn't thinking about bpython when I was upgrading python-jedi.

Could any of the above be mentioned in the cookbook or the manual? Excuse me if
I TDLR'ed that part.

Any advice is much appreciated.

> 
> --8<---------------cut here---------------start------------->8---
> $ ./pre-inst-env  guix refresh -l python2-bottle
> Building the following 2 packages would ensure 3 dependent packages are rebuilt: [email-masked] [email-masked]
> --8<---------------cut here---------------end--------------->8---
> 
> Ludo’.